
package de.ivu.elect.presentation.wahlvorschlag;

import java.util.ArrayList;
import java.util.Collection;

import de.ivu.elect.business.wahlvorschlag.entity.Wahlvorschlag;
import de.ivu.elect.business.wahlvorschlag.entity.Wahlvorschlagsdokument;
import de.ivu.elect.business.wahlvorschlag.entity.WahlvorschlagsdokumentArt;

public class WahlvorschlagsdokumentFactory {

  public WahlvorschlagsdokumentFactory() {
    super();
  }

  public Collection<Wahlvorschlagsdokument> createAllWahlvorschlagsdokumenteForEntity(Wahlvorschlag wahlvorschlag) {
    Collection<Wahlvorschlagsdokument> result = new ArrayList<>();

    for (WahlvorschlagsdokumentArt wahlvorschlagsdokumentArt : WahlvorschlagsdokumentArt.values()) {
      Wahlvorschlagsdokument wahlvorschlagsdokument = new Wahlvorschlagsdokument();
      wahlvorschlagsdokument.setAnzahl(0L);
      wahlvorschlagsdokument.setWahlvorschlagsdokumentArt(wahlvorschlagsdokumentArt);
      wahlvorschlagsdokument.setWahlvorschlag(wahlvorschlag);

      result.add(wahlvorschlagsdokument);
    }

    return result;
  }
}
